## openarena-players-mature 0.8.5split

=== debian/changelog ===
openarena-players-mature (0.8.5split-6) unstable; urgency=medium

  * Merge packaging from openarena-data/0.8.5split-6:
    - debian/rules: make more use of dh and /usr/share/dpkg/default.mk
    - Apply changelog date to the fake QVM files, for reproducible builds
    - debian/copyright: update date
    - debian/copyright: list permissive license of list-pk3.pl and qvmbrute.c
    - Standards-Version: 3.9.6 (no changes)
    - do the build with TZ=UTC to make sure the (local) timestamps
      in the zip file are the same in any build
    - use zip -X to omit all optional fields (uid, gid, UTC timestamp)
    - use zip -o to set the zip file's embedded timestamp equal to the
      newest file in it
  * There was no revision 4 or 5, to keep the version in sync with
    openarena-data
  * Change Vcs-Git to point to the correct branch
  * Change Vcs-Browser to https and cgit

 -- Simon McVittie <smcv@debian.org>  Sat, 09 May 2015 10:40:16 +0100

openarena-players-mature (0.8.5split-3) unstable; urgency=low

  * Merge from openarena-data 0.8.5split-3
    - Update common files for 0.8.8
    - Support build-arch, build-indep
    - Standards-Version: 3.9.5 (no changes)
    - Bump debhelper compat level to 9 to avoid deprecated dh_pysupport

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Aug 2014 14:40:13 +0100

openarena-players-mature (0.8.5split-2) unstable; urgency=low

  * Merge from openarena-data 0.8.5split-2
    - Apply patch from Ubuntu to fix linking with more recent ld
      (Closes: #629893, LP: #794941)
    - Don't build qvmbrute unless we actually need to replace QVM files in
      this particular package (only -data, -misc and -085-data actually
      need it)
    - Move the split version of openarena-data to unstable
  * Merge unreleased changes from master
    - Update common files for 0.8.8
    - Support build-arch, build-indep
    - Standards-Version: 3.9.3 (no changes)
  * Be more clear about what we mean by "mature" (Closes: #628686)

 -- Simon McVittie <smcv@debian.org>  Sun, 26 Feb 2012 19:02:18 +0000

openarena-players-mature (0.8.5split-1) unstable; urgency=low

  * New source package partially replacing openarena-data, to split up the
    game content into more manageable pieces which fit on CDs better

 -- Simon McVittie <smcv@debian.org>  Sat, 28 May 2011 23:33:02 +0100

openarena-data (0.8.5split-1) experimental; urgency=low

  * Fix misspelling in Description (Closes: #609493) and make it less shouty
  * Move to git
    - add gbp.conf
    - do builds from git by overlaying onto the orig tarball, and abort
      on upstream changes
  * Remove useless recommendation of client/server
  * Flatten directory structure
  * Advance debhelper compat level to 8
  * Standards-Version: 3.9.2 (no changes)
  * Spin off openarena-081-maps, openarena-081-players,
    openarena-081-players-mature, openarena-081-textures,
    openarena-081-misc and openarena-085-data into separate packages
    so they'll fit on CDs better; depend on them
  * Include (best-effort) source files for the assets
  * Target experimental, since this package will be uninstallable until
    the other packages complete NEW processing

 -- Simon McVittie <smcv@debian.org>  Sat, 28 May 2011 20:12:21 +0100

openarena-data (0.8.5-3) unstable; urgency=low

  * Encode a search prefix into the fake QVM files so we can load different
    native code; OA 0.8.1 and 0.8.5 turn out not to be network-compatible.
    (When combined with changes to openarena, this will close #592965)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Aug 2010 20:16:33 +0100

openarena-data (0.8.5-2) unstable; urgency=low

  * Include directory entries explicitly in the repacked PK3 files, so the
    Setup->Player->Model menu can find the models (Closes: #591014)
  * Standards-Version: 3.9.1 (no changes needed)
  * Upload to unstable, now that 0.8.1+dfsg1-1 has migrated

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Aug 2010 10:59:00 +0100

openarena-data (0.8.5-1) experimental; urgency=low

  * New upstream patch 0.8.5
  * Include the generated stub QVM files in the source tarball so we don't have
    to keep repeating the process (they can be deleted at any time, and will
    automatically be reinstated with identical contents)

 -- Simon McVittie <smcv@debian.org>  Thu, 29 Jul 2010 19:45:24 +0100

openarena-data (0.8.1+dfsg1-1) unstable; urgency=low

  [ Iain Lane ]
  * debian/control: Remove myself from Uploaders

  [ Simon McVittie ]
  * Add myself to Uploaders
  * Set source format to 3.0 (quilt)
  * Repack upstream tarball, unzipping the PK3 files for greater transparency
    and removing QVM files that cannot be compiled with a Free compiler
    (closes: #523323)
  * At build time, repack the PK3 files
  * At build time, replace the missing QVM files with a magic number that
    causes openarena (>= 0.8.1-8) to load native-code equivalents, and has
    the same CRC-32 as the missing file for network compatibility
  * Breaks: openarena-data (<< 0.8.1-8~) due to those changes
  * Split README.Debian into README.Debian and README.source, with the latter
    going into more detail about the process
  * Add an empty debian/watch explaining why we're not uscan-compatible

 -- Simon McVittie <smcv@debian.org>  Thu, 22 Jul 2010 10:47:38 +0100

openarena-data (0.8.1-2) unstable; urgency=low

  * Upload to unstable
  * Add myself in Uploaders: 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 14 Feb 2009 15:45:22 +0100

openarena-data (0.8.1-1) experimental; urgency=low

  * New upstream release 0.8.1
    + Contains mission pack (new mode of play, currently an early preview)
    + Several new maps and weapons
  * debian/rules, debian/openarena-data.{docs,install}, debian/compat: Convert
    to DH7 style.

 -- Iain Lane <laney@ubuntu.com>  Sun, 08 Feb 2009 12:27:17 +0000

openarena-data (0.7.7-1) unstable; urgency=low

  * New upstream release
    * Build .orig.tar.gz from upstream 0.7.7 upgrade patch merged with 0.7.6
      .orig.tar.gz


