=== debian/control ===
Source: openarena-players-mature
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bruno "Fuddl" Kleinert <fuddl@tauware.de>,
           Simon McVittie <smcv@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: libarchive-zip-perl, zip, zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://www.openarena.ws/
Vcs-Git: git://anonscm.debian.org/pkg-games/openarena-data.git -b openarena-players-mature
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/openarena-data.git/log/?h=openarena-players-mature

Package: openarena-081-players-mature
Architecture: all
Depends: ${misc:Depends}
Replaces: openarena-data (<< 0.8.5split)
Description: OpenArena game data - "mature" player graphics from 0.8.1
 OpenArena is an open-source content package for the Quake III
 engine, effectively creating a free stand-alone game similar to
 Quake III Arena.
 .
 In Debian, OpenArena game data are divided into several packages, to
 fit better onto CD releases.
 .
 This package contains player graphics from OpenArena 0.8.1 which contain
 partial nudity (the Angelyss, Arachna, Ayumi and Sorceress models).
 In OpenArena 0.8.1 these player models were optional, but the structure
 of the 0.8.5 patch means they cannot be removed from 0.8.5 or later
 versions.
