=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export TZ=UTC

include /usr/share/dpkg/default.mk

%:
	dh $@

tarball := $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.bz2
tardir := $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM).orig
paks := $(shell cat debian/$(DEB_SOURCE).paks)
build_date := $(shell dpkg-parsechangelog --show-field=Date)

override_dh_auto_build: $(patsubst %,build/%,$(paks))
	:

build/%:
	set -e && sed -n -e 's/#.*//; s/\.qvm$$//p;' < debian/$*.pk3.contents | \
		while read crc filename; do \
			test -f $*-$$crc.qvm || \
			$(MAKE) -f debian/rules QVMPREFIX=$(*F) QVMCRC=$$crc \
				debian/$(*F)-$$crc.qvm; \
			install -d $*/vm; \
			install -v -m644 debian/$(*F)-$$crc.qvm $*/$$filename.qvm; \
			touch --date='$(build_date)' $*/$$filename.qvm; \
		done
	rm -f $*.pk3
	sed -n -e 's/#.*//; s/.*\t//p;' < debian/$*.pk3.contents | \
		( cd $* && zip -X -o -q -9 $(CURDIR)/$*.pk3 -@ )
	perl debian/list-pk3.pl $*.pk3 | diff -u debian/$*.pk3.contents -

override_dh_auto_test: $(patsubst %,check/%,$(paks))
	:

check/pak0: build/pak0
	grep "NTVEpak0" pak0/vm/cgame.qvm
	grep "NTVEpak0" pak0/vm/qagame.qvm
	grep "NTVEpak0" pak0/vm/ui.qvm

check/mp-pak0: build/mp-pak0
	grep "NTVEmp-pak0" mp-pak0/vm/cgame.qvm
	grep "NTVEmp-pak0" mp-pak0/vm/qagame.qvm
	grep "NTVEmp-pak0" mp-pak0/vm/ui.qvm

check/pak6-patch085: build/pak6-patch085
	grep "NTVEpak6-patch085" pak6-patch085/vm/cgame.qvm
	grep "NTVEpak6-patch085" pak6-patch085/vm/qagame.qvm
	grep "NTVEpak6-patch085" pak6-patch085/vm/ui.qvm

check/pak6-patch088: build/pak6-patch088
	grep "NTVEpak6-patch088" pak6-patch088/vm/cgame.qvm
	grep "NTVEpak6-patch088" pak6-patch088/vm/qagame.qvm
	grep "NTVEpak6-patch088" pak6-patch088/vm/ui.qvm

# otherwise there's nothing to check
check/%: build/%
	:

build-indep: debian/openarena-088-data.README.Debian
debian/openarena-088-data.README.Debian: debian/qvms.README.Debian
	install -m644 $< $@

build-indep: debian/openarena-085-data.README.Debian
debian/openarena-085-data.README.Debian: debian/qvms.README.Debian
	install -m644 $< $@

build-indep: debian/openarena-data.README.Debian
debian/openarena-data.README.Debian: debian/qvms.README.Debian
	install -m644 $< $@

# order-only dependency: once we've generated it, no need to waste time
# generating it again, it'll come out the same
debian/$(QVMPREFIX)-$(QVMCRC).qvm: | debian/qvmbrute
	./debian/qvmbrute 0x$(QVMCRC) $@ $(QVMPREFIX)

debian/qvmbrute: | debian/qvmbrute.c
	$(DEB_BUILD_GNU_TYPE)-gcc $(CFLAGS) -Wall -o debian/qvmbrute debian/qvmbrute.c $(LDFLAGS) -lz

import-orig: pre-import-orig $(patsubst %,import-orig/%,$(paks))
pre-import-orig:
	rm -rf ./source
import-orig/%: pre-import-orig
	@if ! test -f $*.pk3; then \
		echo "Copy upstream pk3 file to $*.pk3";\
		exit 1;\
	fi
	rm -f debian/$*.pk3.contents
	rm -rf ./$*
	install -d $*
	perl debian/list-pk3.pl $*.pk3 > debian/$*.pk3.contents
	unzip -q $*.pk3 -x '*.qvm' '../*' -d $*
	set -e && if test mp-pak0 = $*; then \
		unzip -o -j mp-pak0.pk3 ../COPYING ../CREDITS; \
	fi
	# r901 is 0.8.1; r931 is 0.8.5 (despite the commit message)
	# r947 is 0.8.8
	# source/assets/textures/trak/ are not GPL-compatible
	set -e && for r in 901 931 947; do \
		install -d debian/svn-r$$r/source; \
		test -d debian/svn-r$$r/source/assets || svn export -r$$r \
			http://www.openarena.ws/svn/source/assets \
			debian/svn-r$$r/source/assets; \
		rm -rf debian/svn-r$$r/source/assets/textures/trak/; \
		if test -e debian/$*.svn$$r; then \
			while read s; do \
				rsync --link-dest=debian/svn-r$$r \
					--files-from=debian/$*.svn$$r -r \
					debian/svn-r$$r/ ./; \
			done < debian/$*.svn$$r; \
		fi; \
	done

export-orig:
	rm -rf $(tardir)
	install -d $(tardir)
	set -e && for x in $(paks) source; do \
		cp -al $$x $(tardir)/$$x; \
	done
	install -m644 CHANGES COPYING CREDITS CREDITS-0.8.5 CREDITS-0.8.8 LINUXNOTES README WENEED readme_085.txt readme_088.txt $(tardir)
	tar -jvcf ../$(tarball) $(tardir)
	rm -rf $(tardir)
